Bug 695757

Summary: [RFE][RHEL5] Rebase Firefox to Firefox 10
Product: Red Hat Enterprise Linux 5 Reporter: J.H.M. Dassen (Ray) <rdassen>
Component: firefoxAssignee: Martin Stransky <stransky>
Status: CLOSED CURRENTRELEASE QA Contact: Desktop QE <desktop-qa-list>
Severity: urgent Docs Contact:
Priority: high    
Version: 5.6CC: andriusb, byount, fnadge, hpetty, jhorak, lars, nkim, oli, rbinkhor, rmcswain, spurrier, stransky, syeghiay, tpelka, vbenes, yyidth
Target Milestone: rcKeywords: FutureFeature, Rebase, Triaged, ZStream
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: RHEA-2012:0327 Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Firefox has been upgraded to version 10.0, which provides a number enhancements over the previous version.
Story Points: ---
Clone Of: 695756
: 716850 (view as bug list) Environment:
Last Closed: 2012-05-04 06:20:48 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 695756, 728293    
Bug Blocks: 554476, 716850, 789048    

Description J.H.M. Dassen (Ray) 2011-04-12 11:28:59 EDT
+++ This bug was initially created as a clone of Bug #695756 +++

2. What is the nature and description of the request?

Customer has requested that Red Hat rebase Firefox to Firefox-4 in RHEL 6.  

3. Why does the customer need this? (List the business requirements here)

Firefox 4 is based on the Gecko 2.0 Web platform. This release features
JavaScript execution speeds up to six times faster than the previous version,
new capabilities for Web Developers and Add-on Developers such as hardware
accelerated graphics and HTML5 technologies, and a completely revised user
interface.

4. How would the customer like to achieve this? (List the functional
requirements here)

Rebase Firefox to Firefox-4 in RHEL 6. 

5. For each functional requirement listed in question 4, specify how Red Hat
and the customer can test to confirm the requirement is successfully
implemented.

Provide test packages to the customer, internal testing.  

6. Is there already an existing RFE upstream or in Red Hat bugzilla?

Firefox 4 exists upstream.  
http://www.mozilla.com/en-US/firefox/new/

7. How quickly does this need resolved? (desired target release)

RHEL 6.2 is the desired release.  

8. Does this request meet the RHEL Inclusion criteria (please review)

Yes.

9. List the affected packages

Firefox
Comment 3 Dale James Thompson 2011-04-19 11:02:40 EDT
I've just received the comment from redhat technical support that firefox4 is possibly slated to be updated in rhel5.8. That really late. By then firefox6 will likely be out.

Is there a more current target that can be shared with the public about when firefox will be updated in rhel5.X?
Comment 6 Martin Stransky 2011-07-01 10:04:08 EDT
Ahh, wrong dir. Test xulrunner is here - http://people.redhat.com/stransky/rhel-5/
Comment 8 Martin Stransky 2011-07-12 10:30:39 EDT
http://people.redhat.com/stransky/rhel-5/ contains also firefox for RHEL5 now.
Comment 9 Florian Nadge 2011-07-19 05:28:28 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Firefox has been upgraded to version 5.0, which provides a number enhancements over the previous version.
Comment 20 Martin Stransky 2012-02-02 08:36:48 EST
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Firefox has been upgraded to version 5.0, which provides a number enhancements over the previous version.+Firefox has been upgraded to version 10.0, which provides a number enhancements over the previous version.
Comment 23 Martin Stransky 2012-05-04 06:20:48 EDT
Already fixed in RHEA-2012:0327.